# dsp

dsp is an open source, cross platform, C++ implementation of common digital signal processing
algorithms.

## Disclaimer

This library is still a work in progress, but since it can already calculate fast Fourier transforms
of arbitrary sizes relatively quickly I am choosing to make it public now because others may find it
useful.

# Clone Instructions

This repository uses git submodules. To clone this project use:

    git clone --recurse-submodules https://gitlab.com/tnt-coders/cpp/libraries/dsp.git

# Build Instructions

dsp can be built as a standalone CMake project.

    cmake -H. -Bbuild
    cmake --build build

To test the project, run CTest from the build directory.

    cd build
    ctest

## Build Requirements

* CMake v3.11.4 (or later)
* C++17 compliant compiler (or later)
* Conan package manager v1.29.2 (or later)

## Dependencies

This project requires the Conan package manager to automatically manage all of its dependencies. To
install Conan see: https://docs.conan.io/en/latest/installation.html
